# Class ToolActivateMgr

- Defined in src/misc/ToolActivateMgr.js:61

#####
Index

### Properties

groups_
scope_

### Methods

activateDefault_
activateTool
deactivateTool
deactivateTools_
registerTool
unregisterGroup
unregisterTool

## Properties

### groups_

groups_: {}

#### Type declaration

- Defined in src/misc/ToolActivateMgr.js:65

### scope_

scope_: IScope

The scope.

- Defined in src/misc/ToolActivateMgr.js:72

## Methods

### activateDefault_

- activateDefault_(groupName): void

- Activate the default tool in the given group if no other tool is active.

  #### Parameters

  - ##### groupName: string

    Name of the group.

  #### Returns void

  - Defined in src/misc/ToolActivateMgr.js:178

### activateTool

- activateTool(tool): void

- Activate a tool.

  #### Parameters

  - ##### tool: default

    Tool to activate.

  #### Returns void

  - Defined in src/misc/ToolActivateMgr.js:145

### deactivateTool

- deactivateTool(tool): void

- Deactivate a tool.

  #### Parameters

  - ##### tool: default

    Tool to deactivate.

  #### Returns void

  - Defined in src/misc/ToolActivateMgr.js:154

### deactivateTools_

- deactivateTools_(groupName, tool): void

- Deactivate all tools except the given one.

  #### Parameters

  - ##### groupName: string

    Name of the group.

  - ##### tool: default

    Tool to activate.

  #### Returns void

  - Defined in src/misc/ToolActivateMgr.js:164

### registerTool

- registerTool(groupName, tool, opt_defaultActivate?): void

- Register a tool.

  #### Parameters

  - ##### groupName: string

    Name of the group of this tool.

  - ##### tool: default

    Tool to register.

  - ##### `Optional` opt_defaultActivate: boolean

    If true, this tool will be activated when all other tools in the group are deactivated.

  #### Returns void

  - Defined in src/misc/ToolActivateMgr.js:83

### unregisterGroup

- unregisterGroup(groupName): void

- Unregister each tool from a group.

  #### Parameters

  - ##### groupName: string

    Name of the group of tools to unregister.

  #### Returns void

  - Defined in src/misc/ToolActivateMgr.js:130

### unregisterTool

- unregisterTool(groupName, tool): void

- Unregister a tool from a group.

  #### Parameters

  - ##### groupName: string

    Name of the group of this tool.

  - ##### tool: default

    Tool to unregister.

  #### Returns void

  - Defined in src/misc/ToolActivateMgr.js:112

Generated using TypeDoc